﻿Type=Service
Version=2.5
@EndOfDesignText@
#Region Module Attributes
	#StartAtBoot: False
#End Region

'Service module
Sub Process_Globals
	Dim ImageName As String : ImageName = "tempImage"
	Dim lwm As LWManager
	Dim LiveEngine As LWEngine
	Dim Image As Bitmap
End Sub
Sub Service_Create
	lwm.Initialize("lwm", False)
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

Sub Service_Destroy

End Sub

Sub ImageChanged
	If File.Exists(File.DirInternal, ImageName) Then
		Image = LoadBitmap(File.DirInternal, ImageName)
		If LiveEngine.IsInitialized Then 
			LWM_OffsetChanged(LiveEngine)
		End If
	End If
End Sub

Sub LWM_SizeChanged (Engine As LWEngine)
	'This event is raised when the engine is first ready (and when the screen size changes).
	'We need to hold a reference to the non-preview engine to allow us to later change the
	'image.
	If Engine.IsPreview = False Then 
		LiveEngine = Engine
	End If
End Sub

Sub LWM_OffsetChanged (Engine As LWEngine)
	If Image.IsInitialized Then
		Engine.Rect.Left = -Engine.CurrentOffsetX
		Engine.Rect.Top = -Engine.CurrentOffsetY
		Engine.Rect.Right = -Engine.CurrentOffsetX + Engine.FullWallpaperWidth
		Engine.Rect.Bottom = -Engine.CurrentOffsetY + Engine.FullWallpaperHeight
		Engine.Canvas.DrawBitmap(Image, Null, Engine.Rect)
	Else
		Engine.Canvas.DrawColor(Colors.Black)
		Engine.Canvas.DrawText("No image selected", 120dip, 120dip, Typeface.DEFAULT_BOLD, 30, Colors.White, "LEFT")
	End If
	Engine.RefreshAll
End Sub